VLCMediaThumbnailer Class Reference

`#import <VLCMediaThumbnailer.h>`

Inheritance diagram for VLCMediaThumbnailer:

## Instance Methods

(void) | - fetchThumbnail

## Class Methods

(VLCMediaThumbnailer *) | + thumbnailerWithMedia:andDelegate:
(VLCMediaThumbnailer *) | + thumbnailerWithMedia:delegate:andVLCLibrary:

## Properties

id< VLCMediaThumbnailerDelegate > | delegate
VLCMedia * | media
CGImageRef | thumbnail
void * | libVLCinstance
CGFloat | thumbnailHeight
CGFloat | thumbnailWidth
float | snapshotPosition

## Detailed Description

a facility allowing you to do thumbnails in an efficient manner

## Method Documentation

## fetchThumbnail()

- (void) fetchThumbnail |  |  |

Starts the thumbnailing process

## thumbnailerWithMedia:andDelegate:()

+ (VLCMediaThumbnailer *) thumbnailerWithMedia: |  | (VLCMedia *) | media
andDelegate: |  | (id< VLCMediaThumbnailerDelegate >) | delegate

initializer

Parameters

  media | the media item to thumbnail
  delegate | the delegate implementing the required protocol

Returns
  the thumbnailer instance

Note
  This will use the default shared library instance

## thumbnailerWithMedia:delegate:andVLCLibrary:()

+ (VLCMediaThumbnailer *) thumbnailerWithMedia: |  | (VLCMedia *) | media
delegate: |  | (id< VLCMediaThumbnailerDelegate >) | delegate
andVLCLibrary: |  | (VLCLibrary *) | library

initializer

Parameters

  media | the media item to thumbnail
  delegate | the delegate implementing the required protocol
  library | a library instance, potentially configured by you in a special way

Returns
  the thumbnailer instance

## Property Documentation

## delegate

- (id<VLCMediaThumbnailerDelegate>) delegate

readwritenonatomicweak

delegate object associated with the thumbnailer instance implementing the required protocol

## libVLCinstance

- (void*) libVLCinstance

readwriteatomicassign

the libvlc instance used for thumbnailing

Note
  Whatever you do, using this instance is most likely wrong

## media

- (VLCMedia*) media

readwritenonatomicassign

the media object that is being thumbnailed

## snapshotPosition

- (float) snapshotPosition

readwritenonatomicassign

Snapshot Position You shouldn't change this after -fetchThumbnail has been called.

Returns
  snapshot position. Default value 0.5

## thumbnail

- (CGImageRef) thumbnail

readwritenonatomicassign

The thumbnail created for the media object

## thumbnailHeight

- (CGFloat) thumbnailHeight

readwritenonatomicassign

Thumbnail Height You shouldn't change this after -fetchThumbnail has been called.

Returns
  thumbnail height. Default value 240.

## thumbnailWidth

- (CGFloat) thumbnailWidth

readwritenonatomicassign

Thumbnail Width You shouldn't change this after -fetchThumbnail has been called.

Returns
  thumbnail height. Default value 320

The documentation for this class was generated from the following file:

- Headers/Public/VLCMediaThumbnailer.h